

// // // //


ПлавноСкрытьПодложку = мир =>
{
    мир.окна.подложка.плавно.скрыть();
};


// // // //


ПлавноПоказатьПодложку = мир =>
{
    мир.окна.подложка.плавно.отобразить();
};

// // // //


СоздатьПодложку = мир =>
{
    var окно = document.createElement("div");
    окно.id = "окно-подложка";
    document.body.appendChild(окно);
    окно.style = `
position: fixed;
left: 0;
top: 0;
right: 0;
bottom: 0;
background-color: white;
opacity: 0.5;
display: none;
    `;

    мир.окна.подложка = {
        "указатель": "окно-подложка",
        "элемент": окно,
        "плавно": new ПлавноОтобразитьСкрыть(окно, {
            "прозрачность": 0.5,
        }),
    };
};

// // // //


СоздатьКнопкуРаскладки = мир =>
{
    var кнопка = document.createElement("div");
    кнопка.innerHTML = `
<a id="показать-раскладки" uk-icon="icon: thumbnails; ratio: 2"></a>
    `;
    кнопка.style = `
position: fixed;
right: 0;
bottom: 0;
margin: 0.5em;
    `;
    мир.окна.управление.элемент.appendChild(кнопка);
    
    $(`#показать-раскладки`).click(function() {
        мир.уведомить("кнопка показать раскладки");
    });
};


// // // //


СообщитьТекущееЗначениеМасштаба = мир =>
{
    var масштаб = мир.масштаб * 100;
    var сообщение = `🔍 ${масштаб}%`;
    UIkit.notification({
        message: сообщение,
        timeout: 500
    });
};


// // // //


УменьшитьМасштаб = мир =>
{
    мир.масштаб -= 0.5;
    if (мир.масштаб < 1)
    {
        мир.масштаб = 1;
    }
    мир.уведомить("изменили масштаб");
};


// // // //


УвеличитьМасштаб = мир =>
{
    мир.масштаб += 0.5;
    мир.уведомить("изменили масштаб");
};


// // // //


СоздатьЭлементыУправленияМасштабом = мир =>
{
    var элементы = document.createElement("div");
    элементы.innerHTML = `
<ul class="uk-iconnav uk-iconnav-vertical">
    <li><a id="увеличить-масштаб" uk-icon="icon: plus; ratio: 2"></a></li>
    <li><a id="уменьшить-масштаб" uk-icon="icon: minus; ratio: 2"></a></li>
</ul>
    `;
    элементы.style = `
position: fixed;
right: 0;
top: 50%;
transform: translateX(-50%) translateY(-50%);
    `;
    мир.окна.управление.элемент.appendChild(элементы);
    
    $(`#увеличить-масштаб`).click(function() {
        мир.уведомить("кнопка увеличения масштаба");
    });
    $(`#уменьшить-масштаб`).click(function() {
        мир.уведомить("кнопка уменьшения масштаба");
    });
};


// // // //


ПлавноПоказатьОкноУправления = мир =>
{
    мир.окна.управление.плавно.отобразить();
};


// // // //


ПлавноСкрытьОкноУправления = мир =>
{
    мир.окна.управление.плавно.скрыть();
}

// // // //


СоздатьОкноУправления = мир =>
{
    var окно = document.createElement("div");
    окно.id = "окно-управления";
    document.body.appendChild(окно);
    окно.style = `
position: absolute;
left: 0;
top: 0;
right: 0;
bottom: 0;
    `;
    окно.style.display = "none";
    мир.окна.управление = {
        "указатель": окно.id,
        "элемент": окно,
        "плавно": new ПлавноОтобразитьСкрыть(окно),
    };
};